/***************************************************************************
                          topodefs.h  -  description
                             -------------------
    begin                : Wed May 30 2001
    copyright            : (C) 2001 by benny
    email                : bm@cage.rug.ac.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/** General preprocesor switches - needed for the FEMlibrary
       sets general defines for compile of the library                     */
#ifndef TOPODEFS_H_
#define TOPODEFS_H_

//set the following switch if you have the QT library and wish to allow acces to it, eg painting your objects
#define LIB_WITH_QT
//#undef LIB_WITH_QT

//precision to wish a number is 0, our epsilon
#define TOPONUMEPS		0.00001	/* fabs(x)< epsilong, x = 0  */
#define TOPOTRIAEPS    	0.01         /* numeps for triangle sizes, distance difference of nodes  */

//maximum of surrounding elements of a node. Beware : this number is what we take as maximum number of values on a row of our Galarkin Sparse Matrix
#define MAX_ELE_PER_NODE 8

//output checking info to stdout ; Comment out if not necessary
#define TOPOCHECK

#endif
